Bug 1572836 - nova-compute should log messages about stale resource allocations at warning priority
Summary: nova-compute should log messages about stale resource allocations at warning ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z3
: 12.0 (Pike)
Assignee: Artom Lifshitz
QA Contact: nova-maint
URL:
Whiteboard:
Depends On:
Blocks: bu-gpu-crash
TreeView+ depends on / blocked
 
Reported: 2018-04-28 02:48 UTC by Lars Kellogg-Stedman
Modified: 2019-09-09 13:59 UTC (History)
12 users (show)

Fixed In Version: openstack-nova-16.0.4-16.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-20 12:55:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1767553 0 None None None 2018-04-28 02:48:42 UTC
OpenStack gerrit 564964 0 None None None 2018-05-03 15:49:18 UTC

Description Lars Kellogg-Stedman 2018-04-28 02:48:42 UTC
Description of problem:

We ran into a situation with an OSP12 deployment (upgraded from OSP11) in which new instances were failing to schedule on a target compute node that was empty. Nova-conductor would throw a NoValidHost exception without any details, and there were no other error messages related to the failure. It turns out this was due to a number of stale resource allocations on the target compute node.

If nova-compute finds stale allocations, it logs a message at DEBUG priority that says:

  There are allocations remaining against the source host that might need to be removed:

Since this is logged at DEBUG priority, the message will not typically be seen by operators in a production environment. However, stale allocations can prevent Nova from scheduling new instances on the compute node, leading to mysterious failures for which there are no obvious errors.

This message should be logged at WARNING priority so that it is visible.

Version-Release number of selected component (if applicable):

openstack-nova-compute-16.0.4-5.el7ost.noarch

Comment 6 Artom Lifshitz 2018-07-24 15:35:00 UTC
Bug filed by a Red Hatter with no customer case and is a simple logging level change, don't think we need doc text for this.

Comment 10 errata-xmlrpc 2018-08-20 12:55:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2332


Note You need to log in before you can comment on or make changes to this bug.